Version (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.qrcode.decoder, class: Version

Package com.google.zxing.qrcode.decoder

# Class Version

java.lang.Object
com.google.zxing.qrcode.decoder.Version

public final class Version extends Object
See ISO 18004:2006 Annex D

Author:
  Sean Owen

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `Version.ECB`
  Encapsulates the parameters for one error-correction block in one symbol version.
  `static final class`
  `Version.ECBlocks`
  Encapsulates a set of error-correction blocks in one symbol version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `getAlignmentPatternCenters()`
  `int`
  `getDimensionForVersion()`
  `Version.ECBlocks`
  `getECBlocksForLevel(ErrorCorrectionLevel ecLevel)`
  `static Version`
  `getProvisionalVersionForDimension(int dimension)`
  Deduces version information purely from QR Code dimensions.
  `int`
  `getTotalCodewords()`
  `static Version`
  `getVersionForNumber(int versionNumber)`
  `int`
  `getVersionNumber()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getVersionNumber

    public int getVersionNumber()

  - ### getAlignmentPatternCenters

    public int[] getAlignmentPatternCenters()

  - ### getTotalCodewords

    public int getTotalCodewords()

  - ### getDimensionForVersion

    public int getDimensionForVersion()

  - ### getECBlocksForLevel

    public Version.ECBlocks getECBlocksForLevel(ErrorCorrectionLevel ecLevel)

  - ### getProvisionalVersionForDimension

    public static Version getProvisionalVersionForDimension(int dimension) throws FormatException

    Deduces version information purely from QR Code dimensions.

    Parameters:
      `dimension` - dimension in modules
    Returns:
      Version for a QR Code of that dimension
    Throws:
      `FormatException` - if dimension is not 1 mod 4

  - ### getVersionForNumber

    public static Version getVersionForNumber(int versionNumber)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`